function EFFECT:Init(data)
	local pos = data:GetOrigin()
	if LocalPlayer():EyePos():DistToSqr(pos) > 6250000 then return end
	local emitter = ParticleEmitter(pos)
	for i = 1, 100 do
		local particle = emitter:Add("particle/fire", pos)
		if particle then
			particle:SetVelocity(Vector(math.random(-150, 150),math.random(-150, 150),math.random(100, 1000)))
			particle:SetLifeTime(0)
			particle:SetDieTime(0.85)
			particle:SetColor(0, 255, 0)
			particle:SetStartAlpha(255)
			particle:SetEndAlpha(0)
			particle:SetStartSize(math.Rand(1, 2))
			particle:SetEndSize(0)
			particle:SetRoll(math.Rand(-360, 360))
			particle:SetRollDelta(math.Rand(-0.21, 0.21))
			particle:SetAirResistance(math.Rand(500, 1000))
			particle:SetGravity(Vector(0, 0, -300))
			particle:SetCollide(true)
			particle:SetBounce(0.9)
		end
	end
	emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end